com.amazon.redshift.jdbc

## Class FieldMetadata

- java.lang.Object
- - com.amazon.redshift.jdbc.FieldMetadata

All Implemented Interfaces:
  CanEstimateSize

    public class FieldMetadata
    extends Object
    implements CanEstimateSize

This is an internal class to hold field metadata info like table name, column name, etc. This class is not meant to be used outside of pgjdbc.

### Nested Class Summary

Nested Classes
`static class` `FieldMetadata.Key`

### Constructor Summary

Constructors
Constructor and Description
`FieldMetadata(String columnName)`
`FieldMetadata(String columnName, String tableName, String schemaName, int nullable, boolean autoIncrement)`
`FieldMetadata(String columnName, String tableName, String schemaName, int nullable, boolean autoIncrement, String catalogName, boolean readOnly, boolean searchable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getSize()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldMetadata

    public FieldMetadata(String columnName)

#### FieldMetadata

    public FieldMetadata(String columnName,
                         String tableName,
                         String schemaName,
                         int nullable,
                         boolean autoIncrement)

#### FieldMetadata

    public FieldMetadata(String columnName,
                         String tableName,
                         String schemaName,
                         int nullable,
                         boolean autoIncrement,
                         String catalogName,
                         boolean readOnly,
                         boolean searchable)

### Method Detail

#### getSize

    public long getSize()

Specified by:
  `getSize` in interface `CanEstimateSize`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`